leaforb = {}
--Atributes
leaforb.width = 100
leaforb.height = 126
leaforb.speed = 3
leaforb.positionX = 500 -- leaforb start X
leaforb.positionY = 9050


--General non important values
leaforb.velX = 0
leaforb.velY = 0
leaforb.dmgDir = 0 -- need to be calculated from leaforb to enemy If value is positve it goes + X default IS------ 0
leaforb.dmgTimer = 0
leaforb.hitLeftVel = 0
leaforb.hitRightVel = 0
leaforb.floor = 0

leaforb.ai = {}
leaforb.ai.dir = 0
leaforb.ai.timer = 60

leaforb.dmgTimerLength = 3

leaforb.alive = true
leaforb.lifes = 2

function leaforb.load()
	leaforb.image = love.graphics.newImage("leaforb.png")
end



function leaforb.calculation()


	leaforb.velY = leaforb.velY + 1.5

	if leaforb.velY > 30 then
		leaforb.velY = 30
	end

	--if keyboard.up == true and leaforb.positionY >= leaforb.floor and leaforb.air == false then
	--	leaforb.velY = -26
	--end

	
	if leaforb.ai.timer == 0 then
		if leaforb.ai.dir == 1 or leaforb.ai.dir == 2 then
			if math.random(1,2) == 1 then
				leaforb.ai.dir = math.random(0,2)
			end
		else
			if leaforb.ai.dir == 0 then
				leaforb.ai.dir = math.random(0,2)
			end
		end
		leaforb.ai.timer = math.random(30,150)
	end
	leaforb.ai.timer = timer.countdown(leaforb.ai.timer)
	





	if leaforb.ai.dir == 1 then
		leaforb.velX = leaforb.velX - 0.4
	end
	if leaforb.ai.dir == 2 then
		leaforb.velX = leaforb.velX + 0.4
	end
	if leaforb.ai.dir == 0 then
		if leaforb.velX < 0 then
			leaforb.velX = leaforb.velX + 0.2
		end
		if leaforb.velX > 0 then
			leaforb.velX = leaforb.velX - 0.2
			if leaforb.velX < 0 then
				leaforb.velX = 0
			end
		end
	end
	
	if player.atk.atk == true then
		defender.positionX = leaforb.positionX
		defender.positionY = leaforb.positionY
		defender.width = leaforb.width
		defender.height = leaforb.height
		defender.dmgTimer = leaforb.dmgTimer
		defender.dmgTimerLength = leaforb.dmgTimerLength
		defender.dmgDir = leaforb.dmgDir
		defender.hitLeft = player.hitLeft
		defender.hitRight = player.hitRight
		defender.truePos = leaforb.positionX
		
		--player atk
		attacker.alive = player.alive
		attacker.positionX = player.drawPos.atk + player.atk.size/2
		attacker.positionY = player.positionY
		attacker.width = player.atk.size
		attacker.height = player.height
		attacker.truePos = player.positionX

		hitbox()
		leaforb.dmgTimer = defender.dmgTimer
		leaforb.dmgDir = defender.dmgDir
		leaforb.hitLeft = defender.hitLeft
		leaforb.hitRight = defender.hitRight




	else
		leaforb.dmgDir = 0
		leaforb.hitLeft = false
		leaforb.hitRight = false
	end

	if leaforb.hitLeft == true or leaforb.hitRight == true then
		leaforb.lifes = leaforb.lifes - 1
	end
	if leaforb.lifes <= 0 then
		leaforb.alive = false
	end

	if leaforb.hitLeft == true then
		leaforb.hitLeftVel = -14
		leaforb.velY = -8
	end
	if leaforb.hitLeftVel < 0 then
		leaforb.hitLeftVel = leaforb.hitLeftVel + 2
		if leaforb.hitLeftVel == 0 then
			leaforb.hitLeftVel = 0
		end
	end


	if leaforb.hitRight == true then
		leaforb.hitRightVel = 14
		leaforb.velY = -8
		
	end
	if leaforb.hitRightVel > 0 then
		leaforb.hitRightVel = leaforb.hitRightVel - 2
		if leaforb.hitRightVel < 0 then
			leaforb.hitRightVel = 0
		end
	end

	leaforb.dmgTimer = leaforb.dmgTimer - 1
	if leaforb.dmgTimer < 0 then
		leaforb.dmgTimer = 0
	end

	if leaforb.velX > leaforb.speed then
 		leaforb.velX = leaforb.speed
 	end
 	if leaforb.velX < -leaforb.speed then
 		leaforb.velX = -leaforb.speed
 	end




	leaforb.velX = leaforb.velX + leaforb.hitLeftVel + leaforb.hitRightVel


	object.pointX = leaforb.positionX
	object.pointY = leaforb.positionY
	object.pointXvel = leaforb.velX
	object.pointYvel = leaforb.velY
	object.width = leaforb.width
	object.height = leaforb.height

	lvl.update()

	leaforb.positionX = object.pointX
	leaforb.positionY = object.pointY
	leaforb.velX = object.pointXvel
	leaforb.velY = object.pointYvel
	leaforb.floor = object.floor

	if leaforb.velX == 0 and leaforb.ai.dir ~= 0 then
		if leaforb.ai.dir == 2 then
			leaforb.ai.dir = 1
		else
			if leaforb.ai.dir == 1 then
				leaforb.ai.dir = 2
			end
		end
	end


end

function leaforb.draw()
	if leaforb.alive == true then
		love.graphics.setColor(255,255,255)
		love.graphics.draw(leaforb.image, math.mid(leaforb.positionX - leaforb.width / 2) , math.mid(leaforb.positionY - leaforb.height))
	end
end

function LEAFORB_UPDATE()
	leaforb.calculation()
end

function LEAFORB_DRAW()
	leaforb.draw()
end

