player = {}
player.atk = {}
player.drawPos = {}
player.graphics = {}
player.animation = {}
--Atributes
player.width = 150
player.height = 140
player.speed = 10
player.positionX = 130 -- player start X
player.positionY = 9900
player.dmgTimerLength = 60
player.atk.size = 100
player.atk.cooldownTimer = 120

--General non important values
player.velX = 0
player.velY = 0
player.dmgDir = 0 -- need to be calculated from player to enemy If value is positve it goes + X default IS------ 0
player.dmgTimer = 0
player.hitLeftVel = 0
player.hitRightVel = 0
player.floor = 0

player.atk.dir = 2
player.atk.atk = false
player.atk.cooldown = 0
player.atk.draw = false

player.drawPos.positionX = 0
player.drawPos.positionY = 0
player.drawPos.atk = 0

player.alive = true
player.lifes = 5

function player.load()
	player.graphics.idle = {
	love.graphics.newImage("playeridle1.png"),
	love.graphics.newImage("playeridle2.png"),
	love.graphics.newImage("playeridledead.png"),
	} 
end

function player.calculation()
	if player.alive == true then
		if keyboard.up == true and player.floor == true then
			player.velY = -26
		end

		if keyboard.left == true then
			if player.floor == true then
				player.velX = player.velX - 4
			else
				player.velX = player.velX - 0.8
			end
			player.atk.dir = 1
			player.animation.direction = 2
		end
		if keyboard.right == true then
			if player.floor == true then
				player.velX = player.velX + 4
			else
				player.velX = player.velX + 0.8
			end
			player.atk.dir = 2
			player.animation.direction = 1
		end

		--INPUT--> defender pos , defender attributes , attacker position , function , OUTPUT --> defender attributes
		defender.positionX = player.positionX
		defender.positionY = player.positionY
		defender.width = player.width
		defender.height = player.height

		defender.dmgTimer = player.dmgTimer
		defender.dmgTimerLength = player.dmgTimerLength
		defender.dmgDir = player.dmgDir
		defender.hitLeft = player.hitLeft
		defender.hitRight = player.hitRight
		defender.truePos = player.positionX
		--LeafOrb

		attacker.alive = leaforb.alive
		attacker.positionX = leaforb.positionX
		attacker.positionY = leaforb.positionY
		attacker.width = leaforb.width
		attacker.height = leaforb.height
		attacker.truePos = leaforb.positionX


		hitbox()
		

		--rockodile
		attacker.alive = rockodile.alive
		attacker.positionX = rockodile.positionX
		attacker.positionY = rockodile.positionY
		attacker.width = rockodile.width
		attacker.height = rockodile.height
		attacker.truePos = rockodile.positionX

		hitbox()

		defender.hit = false

		--Output
		player.dmgTimer = defender.dmgTimer
		player.dmgDir = defender.dmgDir
		player.hitLeft = defender.hitLeft
		player.hitRight = defender.hitRight

		if player.hitLeft == true or player.hitRight == true then
			player.lifes = player.lifes - 1
		end
		if player.lifes <= 0 then
			player.alive = false
			player.lifes = 0
		end


		if player.hitLeft == true then
			player.hitLeftVel = -14
			player.velY = -8
		end
		if player.hitLeftVel < 0 then
			player.hitLeftVel = player.hitLeftVel + 2
			if player.hitLeftVel == 0 then
				player.hitLeftVel = 0
			end
		end

		if player.hitRight == true then
			player.hitRightVel = 14
			player.velY = -8
		end
		player.hitRight = false
		player.hitLeft = false
		if player.hitRightVel > 0 then
			player.hitRightVel = player.hitRightVel - 2
			if player.hitRightVel == 0 then
				player.hitRightVel = 0
			end
		end

		player.dmgTimer = player.dmgTimer - 1
		if player.dmgTimer < 0 then
			player.dmgTimer = 0
		end




		
		if player.atk.dir == 1 then
			player.drawPos.atk = player.positionX - player.width / 2 - player.atk.size
		end
		if player.atk.dir == 2 then
			player.drawPos.atk = player.positionX + player.width / 2
		end
		if keyboard.atk == true and player.atk.cooldown == 0 then	
			player.atk.atk = true
			player.atk.cooldown = player.atk.cooldownTimer
		else
			player.atk.atk = false
		end
		player.atk.cooldown = player.atk.cooldown - 1
		if player.atk.cooldown < 0 then
			player.atk.cooldown = 0
		end
		if keyboard.atk == true and player.atk.cooldown == 0 or player.atk.cooldown > 110 then
			player.atk.draw = true
		else
			player.atk.draw = false
		end
	end

	player.velY = player.velY + 1.5
	if player.velY > 30 then
		player.velY = 30
	end
	if player.floor == true then
		if player.velX < 0 then
			player.velX = player.velX + 2
		end
		if player.velX > 0 then
			player.velX = player.velX - 2
			if player.velX < 0 then
				player.velX = 0
			end
		end
	else
		if player.velX < 0 then
			player.velX = player.velX + 0.2
		end
		if player.velX > 0 then
			player.velX = player.velX - 0.2
			if player.velX < 0 then
				player.velX = 0
			end
		end
	end

	player.velX = player.velX + player.hitLeftVel + player.hitRightVel
	if player.alive == false then
		player.hitLeftVel = 0
		player.hitRightVel = 0
	end

	if player.velX > player.speed then
		player.velX = player.speed
	end
	if player.velX < -player.speed then
		player.velX = -player.speed
	end


	object.pointX = player.positionX
	object.pointY = player.positionY
	object.pointXvel = player.velX
	object.pointYvel = player.velY
	object.width = player.width 
	object.height = player.height

	lvl.update()

	player.positionX = object.pointX
	player.positionY = object.pointY
	player.velX = object.pointXvel
	player.velY = object.pointYvel
	player.floor = object.floor







end




player.animation.direction = 1

function player.draw()
	love.graphics.setColor(200,200,255)
	--love.graphics.rectangle("fill", player.positionX - player.width / 2 , player.positionY - player.height , player.width , player.height)
	
	love.graphics.setColor(255,255,255)

	
	--if player.velX < 0 then
	--	ASFAFSUIH = ASFAFSUIH
	--end 
	--ASFAFSUIH = ASFAFSUIH + 1
	--if ASFAFSUIH > #player.graphics.idle then
	--	ASFAFSUIH = 1
	--end
	if player.alive == false then
		player.animation.direction = 3
	end
	love.graphics.draw(player.graphics.idle[player.animation.direction],player.positionX - player.graphics.idle[1]:getWidth( ) / 2,player.positionY - player.graphics.idle[1]:getHeight( )*0.8)
	love.graphics.setColor(255,100,100)
	if player.atk.draw == true then
		love.graphics.rectangle("fill", player.drawPos.atk , player.positionY - player.height , player.atk.size , player.height)
	end
end

function PLAYER_UPDATE()
	player.calculation()
end

function PLAYER_DRAW()
	player.draw()
end

