
resolution = {}

resolution.change = 0

function resolution_set()
	resolution.x, resolution.y = love.graphics.getDimensions()
	resolution.xs, resolution.ys = resolution.x / 1920, resolution.y / 1080
	resolution.scale = math.min (resolution.xs , resolution.ys)
	if resolution.xs < resolution.ys then
		resolution.xt, resolution.yt = 0, (resolution.y - resolution.x / 16 * 9) / 2
	end
	if resolution.xs > resolution.ys then
		resolution.xt, resolution.yt = (resolution.x - resolution.y * 16 / 9) / 2 , 0
	end
	if resolution.xs == resolution.ys then
		resolution.xt, resolution.yt = 0 , 0
	end
	love.graphics.push()
	love.graphics.translate(resolution.xt , resolution.yt)
	love.graphics.scale(resolution.scale, resolution.scale)
end



function resolution_unset()
	love.graphics.setColor(20,20,20,255)
	love.graphics.rectangle("fill", 0 , 0 , 1920 , - 5000)
	love.graphics.rectangle("fill", 0 , 1080 , 1920 , 1080 + 5000)
	love.graphics.rectangle("fill", 0 , 0 , -5000 , 1080)
	love.graphics.rectangle("fill", 1920 , 0 , 1920 + 5000 , 1080)
	resolution.change = resolution.scale
	love.graphics.pop()
end