rockodile = {}
--Atributes
rockodile.width = 180
rockodile.height = 50
rockodile.speed = 6
rockodile.positionX = 1000 -- rockodile start X
rockodile.positionY = 9750


--General non important values
rockodile.velX = 0
rockodile.velY = 0
rockodile.dmgDir = 0 -- need to be calculated from rockodile to enemy If value is positve it goes + X default IS------ 0
rockodile.dmgTimer = 0
rockodile.hitLeftVel = 0
rockodile.hitRightVel = 0
rockodile.floor = 0

rockodile.ai = {}
rockodile.ai.dir = 0
rockodile.ai.timer = 60

rockodile.dmgTimerLength = 3

rockodile.alive = true
rockodile.lifes = 2


function rockodile.load()
	rockodile.image = love.graphics.newImage("leaforb.png")
end



function rockodile.calculation()


	rockodile.velY = rockodile.velY + 1.5

	if rockodile.velY > 30 then
		rockodile.velY = 30
	end

	--if keyboard.up == true and rockodile.positionY >= rockodile.floor and rockodile.air == false then
	--	rockodile.velY = -26
	--end

	
	if rockodile.ai.timer == 0 then
		if rockodile.ai.dir == 1 or rockodile.ai.dir == 2 then
			if math.random(1,2) == 1 then
				rockodile.ai.dir = math.random(0,2)
			end
		else
			if rockodile.ai.dir == 0 then
				rockodile.ai.dir = math.random(0,2)
			end
		end
		rockodile.ai.timer = math.random(30,150)
	end
	rockodile.ai.timer = timer.countdown(rockodile.ai.timer)
	





	if rockodile.ai.dir == 1 then
		rockodile.velX = rockodile.velX - 2
	end
	if rockodile.ai.dir == 2 then
		rockodile.velX = rockodile.velX + 2
	end
	if rockodile.ai.dir == 0 then
		if rockodile.velX < 0 then
			rockodile.velX = rockodile.velX + 1
		end
		if rockodile.velX > 0 then
			rockodile.velX = rockodile.velX - 1
			if rockodile.velX < 0 then
				rockodile.velX = 0
			end
		end
	end
	
	if player.atk.atk == true then
		defender.positionX = rockodile.positionX
		defender.positionY = rockodile.positionY
		defender.width = rockodile.width
		defender.height = rockodile.height
		defender.dmgTimer = rockodile.dmgTimer
		defender.dmgTimerLength = rockodile.dmgTimerLength
		defender.dmgDir = rockodile.dmgDir
		defender.hitLeft = player.hitLeft
		defender.hitRight = player.hitRight
		defender.truePos = rockodile.positionX
		
		--player atk
		attacker.alive = player.alive
		attacker.positionX = player.drawPos.atk + player.atk.size/2
		attacker.positionY = player.positionY
		attacker.width = player.atk.size
		attacker.height = player.height
		attacker.truePos = player.positionX
		hitbox()
		
		rockodile.dmgTimer = defender.dmgTimer
		rockodile.dmgDir = defender.dmgDir
		rockodile.hitLeft = defender.hitLeft
		rockodile.hitRight = defender.hitRight




	else
		rockodile.dmgDir = 0
		rockodile.hitLeft = false
		rockodile.hitRight = false
	end


	if rockodile.hitLeft == true or rockodile.hitRight == true then
		rockodile.lifes = rockodile.lifes - 1
	end
	if rockodile.lifes <= 0 then
		rockodile.alive = false
	end

	if rockodile.hitLeft == true then
		rockodile.hitLeftVel = -14
		rockodile.velY = -8
	end
	if rockodile.hitLeftVel < 0 then
		rockodile.hitLeftVel = rockodile.hitLeftVel + 2
		if rockodile.hitLeftVel == 0 then
			rockodile.hitLeftVel = 0
		end
	end


	if rockodile.hitRight == true then
		rockodile.hitRightVel = 14
		rockodile.velY = -8
		
	end
	if rockodile.hitRightVel > 0 then
		rockodile.hitRightVel = rockodile.hitRightVel - 2
		if rockodile.hitRightVel < 0 then
			rockodile.hitRightVel = 0
		end
	end

	rockodile.dmgTimer = rockodile.dmgTimer - 1
	if rockodile.dmgTimer < 0 then
		rockodile.dmgTimer = 0
	end

	if rockodile.velX > rockodile.speed then
 		rockodile.velX = rockodile.speed
 	end
 	if rockodile.velX < -rockodile.speed then
 		rockodile.velX = -rockodile.speed
 	end




	rockodile.velX = rockodile.velX + rockodile.hitLeftVel + rockodile.hitRightVel


	object.pointX = rockodile.positionX
	object.pointY = rockodile.positionY
	object.pointXvel = rockodile.velX
	object.pointYvel = rockodile.velY
	object.width = rockodile.width
	object.height = rockodile.height

	lvl.update()

	rockodile.positionX = object.pointX
	rockodile.positionY = object.pointY
	rockodile.velX = object.pointXvel
	rockodile.velY = object.pointYvel
	rockodile.floor = object.floor


	if rockodile.velX == 0 and rockodile.ai.dir ~= 0 then
		if rockodile.ai.dir == 2 then
			rockodile.ai.dir = 1
		else
			if rockodile.ai.dir == 1 then
				rockodile.ai.dir = 2
			end
		end
	end


end

function rockodile.draw()
	if rockodile.alive == true then
		love.graphics.setColor(40,150,80)
		love.graphics.rectangle("fill", rockodile.positionX - rockodile.width / 2 , rockodile.positionY - rockodile.height , rockodile.width , rockodile.height)
	end
end

function ROCKODILE_UPDATE()
	rockodile.calculation()
end

function ROCKODILE_DRAW()
	rockodile.draw()
end

